<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    {% if user.is_authenticated %}
        <h4>{{user.username}}</h4>
        <a href="{% url 'usuarios:cerrar_sesion' %}">Cerrar sesión</a>
    {% else %}
        <a href="{% url 'iniciar_sesion' %}">Iniciar sesión</a>
    {% endif %}
    <nav>
        <ul>
            <li><a href="{% url 'cosas:otra_cosa_crear' %}">Crear Otra Cosa</a></li>
        </ul>
    </nav>
        {% if messages %}
        <ul class="messages">
            {% for message in messages %}
            <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
        </ul>
        {% endif %}

    <form action="{% url 'cosas:crear' %}" method="POST" enctype="multipart/form-data">
        {% csrf_token %}
        <label for="nombre">Nombre</label>
        <input type="text" name="nombre">
        <br>
        <label for="cantidad">Cantidad</label>
        <input type="text" name="cantidad">
        <br>
        <label for="tipo">Tipo</label>
        <select name="tipo">
            {% for tda in lista_tda %}
            <option value="{{tda.id}}">{{tda.nombre}}</option>
            {% endfor %}
        </select>
        <br>
        <label for="foto">Foto</label>
        <input type="file" name="foto">
        <br>
        <button type="submit">Crear</button>
    </form> 

    <h2>Algo creados</h2>
    <table>
        <thead>
            <th>Foto</th>
            <th>Nombre</th>
            <th>Cantidad</th>
            <th>Tipo</th>
            <th>Creado</th>
            <th>Borrar</th>
            <th>Editar</th>
        </thead>
        <tbody>
            {% for algo in lista_algo %}
            <tr>
                <td><img src="{{algo.foto.url}}" height="60" width="60" alt="foto" ></td>
                <td>{{algo.nombre}}</td>
                <td>{{algo.cantidad}}</td>
                <td>{{algo.tipo.nombre}}</td>
                <td>{{algo.creado}}</td>
                {% if user.is_authenticated %}
                <td><a href="{% url 'cosas:borrar' algo.id %}">Borrar</a></td>
                {% endif %}
                {% if user.is_staff %}
                <td><a href="{% url 'cosas:actualizar' algo.id %}">Editar</a></td>
                {% endif %}
            </tr>    
            {% endfor %}
        </tbody>
    </table>
</body>
</html>